petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMClearGlobalVectors

Destroys all the global vectors that have been stashed in this DM

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMClearGlobalVectors(DM dm)

Collective on DM

### Input Parameter

dm -the distributed array

### Keywords

distributed array, create, Global, vector

### See Also

DMCreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin(), DMCreateLocalVector(), DMRestoreLocalVector() VecStrideMax(), VecStrideMin(), VecStrideNorm()

Level:developer
Location:src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages